--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/commande/list.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/commande/list.php	2025-05-02 11:52:46.627672000 +0000
@@ -1774,19 +1799,19 @@
 // Amount HT / net
 if (!empty($arrayfields['c.total_ht']['checked'])) {
 	print '<td class="liste_titre right">';
-	print '<input class="flat" type="text" size="4" name="search_total_ht" value="'.dol_escape_htmltag($search_total_ht).'">';
+	print '<input class="flat" type="text" size="4" name="search_total_ht" value="' . dol_escape_htmltag($search_total_ht) . '">';
 	print '</td>';
 }
 // Amount of VAT
 if (!empty($arrayfields['c.total_vat']['checked'])) {
 	print '<td class="liste_titre right">';
-	print '<input class="flat" type="text" size="4" name="search_total_vat" value="'.dol_escape_htmltag($search_total_vat).'">';
+	print '<input class="flat" type="text" size="4" name="search_total_vat" value="' . dol_escape_htmltag($search_total_vat) . '">';
 	print '</td>';
 }
 // Total Amount (TTC / gross)
 if (!empty($arrayfields['c.total_ttc']['checked'])) {
 	print '<td class="liste_titre right">';
-	print '<input class="flat" type="text" size="5" name="search_total_ttc" value="'.$search_total_ttc.'">';
+	print '<input class="flat" type="text" size="5" name="search_total_ttc" value="' . $search_total_ttc . '">';
 	print '</td>';
 }
 // Currency
@@ -1798,31 +1823,31 @@
 // Currency rate
 if (!empty($arrayfields['c.multicurrency_tx']['checked'])) {
 	print '<td class="liste_titre">';
-	print '<input class="flat" type="text" size="4" name="search_multicurrency_tx" value="'.dol_escape_htmltag($search_multicurrency_tx).'">';
+	print '<input class="flat" type="text" size="4" name="search_multicurrency_tx" value="' . dol_escape_htmltag($search_multicurrency_tx) . '">';
 	print '</td>';
 }
 // Amount HT/net in foreign currency
 if (!empty($arrayfields['c.multicurrency_total_ht']['checked'])) {
 	print '<td class="liste_titre right">';
-	print '<input class="flat" type="text" size="4" name="search_multicurrency_montant_ht" value="'.dol_escape_htmltag($search_multicurrency_montant_ht).'">';
+	print '<input class="flat" type="text" size="4" name="search_multicurrency_montant_ht" value="' . dol_escape_htmltag($search_multicurrency_montant_ht) . '">';
 	print '</td>';
 }
 // VAT in foreign currency
 if (!empty($arrayfields['c.multicurrency_total_vat']['checked'])) {
 	print '<td class="liste_titre right">';
-	print '<input class="flat" type="text" size="4" name="search_multicurrency_montant_vat" value="'.dol_escape_htmltag($search_multicurrency_montant_vat).'">';
+	print '<input class="flat" type="text" size="4" name="search_multicurrency_montant_vat" value="' . dol_escape_htmltag($search_multicurrency_montant_vat) . '">';
 	print '</td>';
 }
 // Amount/Total (TTC / gross) in foreign currency
 if (!empty($arrayfields['c.multicurrency_total_ttc']['checked'])) {
 	print '<td class="liste_titre right">';
-	print '<input class="flat width75" type="text" name="search_multicurrency_montant_ttc" value="'.dol_escape_htmltag($search_multicurrency_montant_ttc).'">';
+	print '<input class="flat width75" type="text" name="search_multicurrency_montant_ttc" value="' . dol_escape_htmltag($search_multicurrency_montant_ttc) . '">';
 	print '</td>';
 }
 // Author
 if (!empty($arrayfields['u.login']['checked'])) {
 	print '<td class="liste_titre">';
-	print '<input class="flat width75" type="text" name="search_login" value="'.dol_escape_htmltag($search_login).'">';
+	print '<input class="flat width75" type="text" name="search_login" value="' . dol_escape_htmltag($search_login) . '">';
 	print '</td>';
 }
 // Sales Representative
@@ -1882,7 +1907,7 @@
 	print '<td class="liste_titre maxwidthonsmartphone" align="center">';
 	//print $form->selectyesno('search_shippable', $search_shippable, 1, 0, 1, 1);
 	if (getDolGlobalString('ORDER_SHIPABLE_STATUS_DISABLED_BY_DEFAULT')) {
-		print '<input type="checkbox" name="show_shippable_command" value="1"'.($show_shippable_command ? ' checked' : '').'>';
+		print '<input type="checkbox" name="show_shippable_command" value="1"' . ($show_shippable_command ? ' checked' : '') . '>';
 		print $langs->trans('ShowShippableStatus');
 	} else {
 		$show_shippable_command = 1;
@@ -1891,7 +1916,7 @@
 }
 
 // Extra fields
-include DOL_DOCUMENT_ROOT.'/core/tpl/extrafields_list_search_input.tpl.php';
+include DOL_DOCUMENT_ROOT . '/core/tpl/extrafields_list_search_input.tpl.php';
 
 // Fields from hook
 $parameters = array('arrayfields' => $arrayfields);
@@ -1908,7 +1933,7 @@
 // Import key
 if (!empty($arrayfields['c.import_key']['checked'])) {
 	print '<td class="liste_titre maxwidthonsmartphone center">';
-	print '<input class="flat searchstring maxwidth50" type="text" name="search_import_key" value="'.dol_escape_htmltag($search_import_key).'">';
+	print '<input class="flat searchstring maxwidth50" type="text" name="search_import_key" value="' . dol_escape_htmltag($search_import_key) . '">';
 	print '</td>';
 }
 
@@ -1919,8 +1944,8 @@
 		Commande::STATUS_DRAFT => $langs->trans("StatusOrderDraftShort"),
 		Commande::STATUS_VALIDATED => $langs->trans("StatusOrderValidated"),
 		Commande::STATUS_SHIPMENTONPROCESS => $langs->trans("StatusOrderSentShort"),
-		-2 => $langs->trans("StatusOrderValidatedShort").'+'.$langs->trans("StatusOrderSentShort"),
-		-3 => $langs->trans("StatusOrderValidatedShort").'+'.$langs->trans("StatusOrderSentShort").'+'.$langs->trans("StatusOrderDelivered"),
+		-2 => $langs->trans("StatusOrderValidatedShort") . '+' . $langs->trans("StatusOrderSentShort"),
+		-3 => $langs->trans("StatusOrderValidatedShort") . '+' . $langs->trans("StatusOrderSentShort") . '+' . $langs->trans("StatusOrderDelivered"),
 		Commande::STATUS_CLOSED => $langs->trans("StatusOrderDelivered"),
 		Commande::STATUS_CANCELED => $langs->trans("StatusOrderCanceledShort")
 	);
@@ -1935,7 +1960,7 @@
 	print $searchpicto;
 	print '</td>';
 }
-print '</tr>'."\n";
+print '</tr>' . "\n";
 
 $totalarray = array(
 	'nbfield' => 0,
@@ -2120,7 +2145,7 @@
 	$totalarray['nbfield']++;
 }
 // Extra fields
-include DOL_DOCUMENT_ROOT.'/core/tpl/extrafields_list_search_title.tpl.php';
+include DOL_DOCUMENT_ROOT . '/core/tpl/extrafields_list_search_title.tpl.php';
 
 // Hook fields
 $parameters = array('arrayfields' => $arrayfields, 'param' => $param, 'sortfield' => $sortfield, 'sortorder' => $sortorder, 'totalarray' => &$totalarray);
@@ -2147,7 +2172,7 @@
 	print_liste_field_titre($selectedfields, $_SERVER["PHP_SELF"], "", '', $param, '', $sortfield, $sortorder, 'maxwidthsearch center ');
 	$totalarray['nbfield']++;
 }
-print '</tr>'."\n";
+print '</tr>' . "\n";
 
 $total = 0;
 $subtotal = 0;
@@ -2160,12 +2185,13 @@
 $userstatic = new User($db);
 
 $with_margin_info = false;
-if (isModEnabled('margin') && (
-	!empty($arrayfields['total_pa']['checked'])
-	|| !empty($arrayfields['total_margin']['checked'])
-	|| !empty($arrayfields['total_margin_rate']['checked'])
-	|| !empty($arrayfields['total_mark_rate']['checked'])
-)
+if (
+	isModEnabled('margin') && (
+		!empty($arrayfields['total_pa']['checked'])
+		|| !empty($arrayfields['total_margin']['checked'])
+		|| !empty($arrayfields['total_margin_rate']['checked'])
+		|| !empty($arrayfields['total_mark_rate']['checked'])
+	)
 ) {
 	$with_margin_info = true;
 }
@@ -2238,7 +2264,7 @@
 
 	if ($mode == 'kanban') {
 		if ($i == 0) {
-			print '<tr class="trkanban"><td colspan="'.$savnbfield.'">';
+			print '<tr class="trkanban"><td colspan="' . $savnbfield . '">';
 			print '<div class="box-flex-container kanban">';
 		}
 
@@ -2258,7 +2284,7 @@
 	} else {
 		// Show line of result
 		$j = 0;
-		print '<tr data-rowid="'.$object->id.'" class="oddeven '.((getDolGlobalInt('MAIN_FINISHED_LINES_OPACITY') == 1 && $obj->billed == 1) ? 'opacitymedium' : '').'">';
+		print '<tr data-rowid="' . $object->id . '" class="oddeven ' . ((getDolGlobalInt('MAIN_FINISHED_LINES_OPACITY') == 1 && $obj->billed == 1) ? 'opacitymedium' : '') . '">';
 
 		// Action column
 		if (getDolGlobalString('MAIN_CHECKBOX_LEFT_COLUMN')) {
@@ -2268,7 +2294,7 @@
 				if (in_array($obj->rowid, $arrayofselected)) {
 					$selected = 1;
 				}
-				print '<input id="cb'.$obj->rowid.'" class="flat checkforselect" type="checkbox" name="toselect[]" value="'.$obj->rowid.'"'.($selected ? ' checked="checked"' : '').'>';
+				print '<input id="cb' . $obj->rowid . '" class="flat checkforselect" type="checkbox" name="toselect[]" value="' . $obj->rowid . '"' . ($selected ? ' checked="checked"' : '') . '>';
 			}
 			print '</td>';
 			if (!$i) {
@@ -2278,7 +2304,7 @@
 
 		// Technical ID
 		if (!empty($arrayfields['c.rowid']['checked'])) {
-			print '<td class="center" data-key="id">'.$obj->rowid.'</td>';
+			print '<td class="center" data-key="id">' . $obj->rowid . '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2298,8 +2324,8 @@
 			print $generic_commande->getNomUrl(1, $getNomUrlOption, 0, 0, 0, 1, 1);
 
 			$filename = dol_sanitizeFileName($obj->ref);
-			$filedir = $conf->commande->multidir_output[$conf->entity].'/'.dol_sanitizeFileName($obj->ref);
-			$urlsource = $_SERVER['PHP_SELF'].'?id='.$obj->rowid;
+			$filedir = $conf->commande->multidir_output[$conf->entity] . '/' . dol_sanitizeFileName($obj->ref);
+			$urlsource = $_SERVER['PHP_SELF'] . '?id=' . $obj->rowid;
 			print $formfile->getDocumentsLink($generic_commande->element, $filename, $filedir);
 
 			print '</td>';
@@ -2310,7 +2336,7 @@
 
 		// Ref customer
 		if (!empty($arrayfields['c.ref_ext']['checked'])) {
-			print '<td class="nowrap tdoverflowmax75" title="'.dol_escape_htmltag($obj->ref_ext).'">';
+			print '<td class="nowrap tdoverflowmax75" title="' . dol_escape_htmltag($obj->ref_ext) . '">';
 			print dol_escape_htmltag($obj->ref_ext);
 			print '</td>';
 			if (!$i) {
@@ -2320,7 +2346,7 @@
 
 		// Ref customer
 		if (!empty($arrayfields['c.ref_client']['checked'])) {
-			print '<td class="nowrap tdoverflowmax150" title="'.dol_escape_htmltag($obj->ref_client).'">';
+			print '<td class="nowrap tdoverflowmax150" title="' . dol_escape_htmltag($obj->ref_client) . '">';
 			print dol_escape_htmltag($obj->ref_client);
 			print '</td>';
 			if (!$i) {
@@ -2365,8 +2391,8 @@
 			if (isModEnabled('invoice') && getDolGlobalString('ORDER_BILLING_ALL_CUSTOMER')) {
 				if ($user->hasRight('facture', 'creer')) {
 					if (($obj->fk_statut > 0 && $obj->fk_statut < 3) || ($obj->fk_statut == 3 && $obj->billed == 0)) {
-						print '&nbsp;<a href="'.DOL_URL_ROOT.'/commande/list.php?socid='.$companystatic->id.'&search_billed=0&autoselectall=1">';
-						print img_picto($langs->trans("CreateInvoiceForThisCustomer").' : '.$companystatic->name, 'object_bill', 'hideonsmartphone').'</a>';
+						print '&nbsp;<a href="' . DOL_URL_ROOT . '/commande/list.php?socid=' . $companystatic->id . '&search_billed=0&autoselectall=1">';
+						print img_picto($langs->trans("CreateInvoiceForThisCustomer") . ' : ' . $companystatic->name, 'object_bill', 'hideonsmartphone') . '</a>';
 					}
 				}
 			}
@@ -2378,7 +2404,7 @@
 
 		// Alias name
 		if (!empty($arrayfields['s.name_alias']['checked'])) {
-			print '<td class="nocellnopadd tdoverflowmax100" title="'.dolPrintHTMLForTextArea($obj->alias).'">';
+			print '<td class="nocellnopadd tdoverflowmax100" title="' . dolPrintHTMLForTextArea($obj->alias) . '">';
 			print dolPrintLabel($obj->alias);
 			print '</td>';
 			if (!$i) {
@@ -2409,7 +2435,7 @@
 
 		// Town
 		if (!empty($arrayfields['s.town']['checked'])) {
-			print '<td class="tdoverflowmax100" title="'.dolPrintHTMLForTextArea($obj->town).'">';
+			print '<td class="tdoverflowmax100" title="' . dolPrintHTMLForTextArea($obj->town) . '">';
 			print dolPrintLabel($obj->town);
 			print '</td>';
 			if (!$i) {
@@ -2419,7 +2445,7 @@
 
 		// Zip
 		if (!empty($arrayfields['s.zip']['checked'])) {
-			print '<td class="tdoverflowmax100" title="'.dolPrintHTMLForTextArea($obj->zip).'">';
+			print '<td class="tdoverflowmax100" title="' . dolPrintHTMLForTextArea($obj->zip) . '">';
 			print dolPrintLabel($obj->zip);
 			print '</td>';
 			if (!$i) {
@@ -2429,7 +2455,7 @@
 
 		// State
 		if (!empty($arrayfields['state.nom']['checked'])) {
-			print '<td class="tdoverflowmax100" title="'.dolPrintHTMLForTextArea($obj->state_name).'">'.dolPrintLabel($obj->state_name)."</td>\n";
+			print '<td class="tdoverflowmax100" title="' . dolPrintHTMLForTextArea($obj->state_name) . '">' . dolPrintLabel($obj->state_name) . "</td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2465,7 +2491,7 @@
 			print dol_print_date($db->jdate($obj->date_commande), 'day');
 			// Warning late icon and note
 			if ($generic_commande->hasDelay()) {
-				print img_picto($langs->trans("Late").' : '.$generic_commande->showDelay(), "warning");
+				print img_picto($langs->trans("Late") . ' : ' . $generic_commande->showDelay(), "warning");
 			}
 			print '</td>';
 			if (!$i) {
@@ -2525,7 +2551,7 @@
 
 		// Amount HT/net
 		if (!empty($arrayfields['c.total_ht']['checked'])) {
-			print '<td class="nowrap right"><span class="amount">'.price($obj->total_ht)."</span></td>\n";
+			print '<td class="nowrap right"><span class="amount">' . price($obj->total_ht) . "</span></td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2541,7 +2567,7 @@
 
 		// Amount VAT
 		if (!empty($arrayfields['c.total_vat']['checked'])) {
-			print '<td class="nowrap right"><span class="amount">'.price($obj->total_tva)."</span></td>\n";
+			print '<td class="nowrap right"><span class="amount">' . price($obj->total_tva) . "</span></td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2557,7 +2583,7 @@
 
 		// Amount TTC / gross
 		if (!empty($arrayfields['c.total_ttc']['checked'])) {
-			print '<td class="nowrap right"><span class="amount">'.price($obj->total_ttc)."</span></td>\n";
+			print '<td class="nowrap right"><span class="amount">' . price($obj->total_ttc) . "</span></td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2573,7 +2599,7 @@
 
 		// Currency
 		if (!empty($arrayfields['c.multicurrency_code']['checked'])) {
-			print '<td class="nowrap">'.$obj->multicurrency_code.' - '.$langs->trans('Currency'.$obj->multicurrency_code)."</td>\n";
+			print '<td class="nowrap">' . $obj->multicurrency_code . ' - ' . $langs->trans('Currency' . $obj->multicurrency_code) . "</td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2582,7 +2608,7 @@
 		// Currency rate
 		if (!empty($arrayfields['c.multicurrency_tx']['checked'])) {
 			print '<td class="nowrap">';
-			$form->form_multicurrency_rate($_SERVER['PHP_SELF'].'?id='.$obj->rowid, $obj->multicurrency_tx, 'none', $obj->multicurrency_code);
+			$form->form_multicurrency_rate($_SERVER['PHP_SELF'] . '?id=' . $obj->rowid, $obj->multicurrency_tx, 'none', $obj->multicurrency_code);
 			print "</td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
@@ -2591,21 +2617,21 @@
 
 		// Amount HT/net in foreign currency
 		if (!empty($arrayfields['c.multicurrency_total_ht']['checked'])) {
-			print '<td class="right nowrap"><span class="amount">'.price($obj->multicurrency_total_ht)."</span></td>\n";
+			print '<td class="right nowrap"><span class="amount">' . price($obj->multicurrency_total_ht) . "</span></td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
 		}
 		// Amount VAT in foreign currency
 		if (!empty($arrayfields['c.multicurrency_total_vat']['checked'])) {
-			print '<td class="right nowrap"><span class="amount">'.price($obj->multicurrency_total_vat)."</span></td>\n";
+			print '<td class="right nowrap"><span class="amount">' . price($obj->multicurrency_total_vat) . "</span></td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
 		}
 		// Amount TTC / gross in foreign currency
 		if (!empty($arrayfields['c.multicurrency_total_ttc']['checked'])) {
-			print '<td class="right nowrap"><span class="amount">'.price($obj->multicurrency_total_ttc)."</span></td>\n";
+			print '<td class="right nowrap"><span class="amount">' . price($obj->multicurrency_total_ttc) . "</span></td>\n";
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2688,7 +2714,7 @@
 
 		// Total buying or cost price
 		if (!empty($arrayfields['total_pa']['checked'])) {
-			print '<td class="right nowrap">'.price($marginInfo['pa_total']).'</td>';
+			print '<td class="right nowrap">' . price($marginInfo['pa_total']) . '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2696,7 +2722,7 @@
 
 		// Total margin
 		if (!empty($arrayfields['total_margin']['checked'])) {
-			print '<td class="right nowrap">'.price($marginInfo['total_margin']).'</td>';
+			print '<td class="right nowrap">' . price($marginInfo['total_margin']) . '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2713,7 +2739,7 @@
 
 		// Total margin rate
 		if (!empty($arrayfields['total_margin_rate']['checked'])) {
-			print '<td class="right nowrap">'.(($marginInfo['total_margin_rate'] == '') ? '' : price($marginInfo['total_margin_rate'], 0, '', 0, 0, 2).'%').'</td>';
+			print '<td class="right nowrap">' . (($marginInfo['total_margin_rate'] == '') ? '' : price($marginInfo['total_margin_rate'], 0, '', 0, 0, 2) . '%') . '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2721,7 +2747,7 @@
 
 		// Total mark rate
 		if (!empty($arrayfields['total_mark_rate']['checked'])) {
-			print '<td class="right nowrap">'.(($marginInfo['total_mark_rate'] == '') ? '' : price($marginInfo['total_mark_rate'], 0, '', 0, 0, 2).'%').'</td>';
+			print '<td class="right nowrap">' . (($marginInfo['total_mark_rate'] == '') ? '' : price($marginInfo['total_mark_rate'], 0, '', 0, 0, 2) . '%') . '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2824,10 +2850,10 @@
 								$notshippable++;
 							}
 							if (!getDolGlobalString('SHIPPABLE_ORDER_ICON_IN_LIST')) {  // Default code. Default should be this case.
-								$text_info .= $reliquat.' x '.$orderLine->product_ref.'&nbsp;'.dol_trunc($orderLine->product_label, 20);
-								$text_info .= ' - '.$langs->trans("Stock").': <span class="'.($generic_product->stock_reel > 0 ? 'ok' : 'error').'">'.$generic_product->stock_reel.'</span>';
-								$text_info .= ' - '.$langs->trans("VirtualStock").': <span class="'.($generic_product->stock_theorique > 0 ? 'ok' : 'error').'">'.$generic_product->stock_theorique.'</span>';
-								$text_info .= ($reliquat != $orderLine->qty ? ' <span class="opacitymedium">('.$langs->trans("QtyInOtherShipments").' '.($orderLine->qty - $reliquat).')</span>' : '');
+								$text_info .= $reliquat . ' x ' . $orderLine->product_ref . '&nbsp;' . dol_trunc($orderLine->product_label, 20);
+								$text_info .= ' - ' . $langs->trans("Stock") . ': <span class="' . ($generic_product->stock_reel > 0 ? 'ok' : 'error') . '">' . $generic_product->stock_reel . '</span>';
+								$text_info .= ' - ' . $langs->trans("VirtualStock") . ': <span class="' . ($generic_product->stock_theorique > 0 ? 'ok' : 'error') . '">' . $generic_product->stock_theorique . '</span>';
+								$text_info .= ($reliquat != $orderLine->qty ? ' <span class="opacitymedium">(' . $langs->trans("QtyInOtherShipments") . ' ' . ($orderLine->qty - $reliquat) . ')</span>' : '');
 								$text_info .= '<br>';
 							} else {  // BUGGED CODE.
 								// DOES NOT TAKE INTO ACCOUNT MANUFACTURING. THIS CODE SHOULD BE USELESS. PREVIOUS CODE SEEMS COMPLETE.
@@ -2858,31 +2884,31 @@
 										$stock_order_supplier = $generic_product->stats_commande_fournisseur['qty'];
 									}
 								}
-								$text_info .= $reliquat.' x '.$orderLine->ref.'&nbsp;'.dol_trunc($orderLine->product_label, 20);
-								$text_stock_reel = $generic_product->stock_reel.'/'.$stock_order;
+								$text_info .= $reliquat . ' x ' . $orderLine->ref . '&nbsp;' . dol_trunc($orderLine->product_label, 20);
+								$text_stock_reel = $generic_product->stock_reel . '/' . $stock_order;
 								if ($stock_order > $generic_product->stock_reel && !($generic_product->stock_reel < $orderLine->qty)) {
 									$warning++;
-									$text_warning .= '<span class="warning">'.$langs->trans('Available').'&nbsp;:&nbsp;'.$text_stock_reel.'</span>';
+									$text_warning .= '<span class="warning">' . $langs->trans('Available') . '&nbsp;:&nbsp;' . $text_stock_reel . '</span>';
 								}
 								if ($reliquat > $generic_product->stock_reel) {
-									$text_info .= '<span class="warning">'.$langs->trans('Available').'&nbsp;:&nbsp;'.$text_stock_reel.'</span>';
+									$text_info .= '<span class="warning">' . $langs->trans('Available') . '&nbsp;:&nbsp;' . $text_stock_reel . '</span>';
 								} else {
-									$text_info .= '<span class="ok">'.$langs->trans('Available').'&nbsp;:&nbsp;'.$text_stock_reel.'</span>';
+									$text_info .= '<span class="ok">' . $langs->trans('Available') . '&nbsp;:&nbsp;' . $text_stock_reel . '</span>';
 								}
 								if (isModEnabled("supplier_order")) {
-									$text_info .= '&nbsp;'.$langs->trans('SupplierOrder').'&nbsp;:&nbsp;'.$stock_order_supplier;
+									$text_info .= '&nbsp;' . $langs->trans('SupplierOrder') . '&nbsp;:&nbsp;' . $stock_order_supplier;
 								}
-								$text_info .= ($reliquat != $orderLine->qty ? ' <span class="opacitymedium">('.$langs->trans("QtyInOtherShipments").' '.($orderLine->qty - $reliquat).')</span>' : '');
+								$text_info .= ($reliquat != $orderLine->qty ? ' <span class="opacitymedium">(' . $langs->trans("QtyInOtherShipments") . ' ' . ($orderLine->qty - $reliquat) . ')</span>' : '');
 								$text_info .= '<br>';
 							}
 						}
 					}
 					if ($notshippable == 0) {
 						$text_icon = img_picto('', 'dolly', '', 0, 0, 0, '', 'green paddingleft');
-						$text_info = $text_icon.' '.$langs->trans('Shippable').'<br>'.$text_info;
+						$text_info = $text_icon . ' ' . $langs->trans('Shippable') . '<br>' . $text_info;
 					} else {
 						$text_icon = img_picto('', 'dolly', '', 0, 0, 0, '', 'error paddingleft');
-						$text_info = $text_icon.' '.$langs->trans('NonShippable').'<br>'.$text_info;
+						$text_info = $text_icon . ' ' . $langs->trans('NonShippable') . '<br>' . $text_info;
 					}
 				}
 
@@ -2890,7 +2916,7 @@
 					print $form->textwithtooltip('', $text_info, 2, 1, $text_icon, '', 2);
 				}
 				if ($warning) {     // Always false in default mode
-					print $form->textwithtooltip('', $langs->trans('NotEnoughForAllOrders').'<br>'.$text_warning, 2, 1, img_picto('', 'error'), '', 2);
+					print $form->textwithtooltip('', $langs->trans('NotEnoughForAllOrders') . '<br>' . $text_warning, 2, 1, img_picto('', 'error'), '', 2);
 				}
 			}
 			print '</td>';
@@ -2900,7 +2926,7 @@
 		}
 
 		// Extra fields
-		include DOL_DOCUMENT_ROOT.'/core/tpl/extrafields_list_print_fields.tpl.php';
+		include DOL_DOCUMENT_ROOT . '/core/tpl/extrafields_list_print_fields.tpl.php';
 		// Fields from hook
 		$parameters = array('arrayfields' => $arrayfields, 'obj' => $obj, 'i' => $i, 'totalarray' => &$totalarray);
 		$reshook = $hookmanager->executeHooks('printFieldListValue', $parameters, $object, $action); // Note that $action and $object may have been modified by hook
@@ -2920,7 +2946,7 @@
 
 		// Import key
 		if (!empty($arrayfields['c.import_key']['checked'])) {
-			print '<td class="nowrap center">'.dol_escape_htmltag($obj->import_key).'</td>';
+			print '<td class="nowrap center">' . dol_escape_htmltag($obj->import_key) . '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2928,7 +2954,7 @@
 
 		// Status
 		if (!empty($arrayfields['c.fk_statut']['checked'])) {
-			print '<td class="nowrap center">'.$generic_commande->LibStatut($obj->fk_statut, $obj->billed, 5, 1).'</td>';
+			print '<td class="nowrap center">' . $generic_commande->LibStatut($obj->fk_statut, $obj->billed, 5, 1) . '</td>';
 			if (!$i) {
 				$totalarray['nbfield']++;
 			}
@@ -2942,7 +2968,7 @@
 				if (in_array($obj->rowid, $arrayofselected)) {
 					$selected = 1;
 				}
-				print '<input id="cb'.$obj->rowid.'" class="flat checkforselect" type="checkbox" name="toselect[]" value="'.$obj->rowid.'"'.($selected ? ' checked="checked"' : '').'>';
+				print '<input id="cb' . $obj->rowid . '" class="flat checkforselect" type="checkbox" name="toselect[]" value="' . $obj->rowid . '"' . ($selected ? ' checked="checked"' : '') . '>';
 			}
 			print '</td>';
 			if (!$i) {
@@ -2959,7 +2985,7 @@
 }
 
 // Show total line
-include DOL_DOCUMENT_ROOT.'/core/tpl/list_print_total.tpl.php';
+include DOL_DOCUMENT_ROOT . '/core/tpl/list_print_total.tpl.php';
 
 // If no record found
 if ($num == 0) {
@@ -2969,7 +2995,7 @@
 			$colspan++;
 		}
 	}
-	print '<tr><td colspan="'.$colspan.'"><span class="opacitymedium">'.$langs->trans("NoRecordFound").'</span></td></tr>';
+	print '<tr><td colspan="' . $colspan . '"><span class="opacitymedium">' . $langs->trans("NoRecordFound") . '</span></td></tr>';
 }
 
 $db->free($resql);
@@ -2978,10 +3004,10 @@
 $reshook = $hookmanager->executeHooks('printFieldListFooter', $parameters, $object, $action); // Note that $action and $object may have been modified by hook
 print $hookmanager->resPrint;
 
-print '</table>'."\n";
-print '</div>'."\n";
+print '</table>' . "\n";
+print '</div>' . "\n";
 
-print '</form>'."\n";
+print '</form>' . "\n";
 
 if (in_array('builddoc', array_keys($arrayofmassactions)) && ($nbtotalofrecords === '' || $nbtotalofrecords)) {
 	$hidegeneratedfilelistifempty = 1;
@@ -2990,7 +3016,7 @@
 	}
 
 	// Show list of available documents
-	$urlsource = $_SERVER['PHP_SELF'].'?sortfield='.$sortfield.'&sortorder='.$sortorder;
+	$urlsource = $_SERVER['PHP_SELF'] . '?sortfield=' . $sortfield . '&sortorder=' . $sortorder;
 	$urlsource .= str_replace('&amp;', '&', $param);
 
 	$filedir = $diroutputmassaction;

########## compta/facture/list.php
--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/compta/facture/list.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/compta/facture/list.php	2025-03-18 13:08:35.867382000 +0000
@@ -1,5 +1,5 @@
-<?php
-/* Copyright (C) 2002-2006	Rodolphe Quiedeville	<rodolphe@quiedeville.org>
+l<?php
+	/* Copyright (C) 2002-2006	Rodolphe Quiedeville	<rodolphe@quiedeville.org>
  * Copyright (C) 2004		Eric Seigne				<eric.seigne@ryxeo.com>
  * Copyright (C) 2004-2016	Laurent Destailleur		<eldy@users.sourceforge.net>
  * Copyright (C) 2005		Marc Barilley / Ocebo	<marc@ocebo.com>
--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/core/class/commoninvoice.class.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/core/class/commoninvoice.class.php	2025-02-27 08:48:34.285680000 +0000
@@ -286,12 +286,7 @@
 		$alreadypaid += $this->getSumDepositsUsed($multicurrency);
 		$alreadypaid += $this->getSumCreditNotesUsed($multicurrency);
 
-		if ((int) $multicurrency > 0) {
-			$totalamount = $this->multicurrency_total_ttc;
-		} else {
-			$totalamount = $this->total_ttc;
-		}
-		$remaintopay = price2num($totalamount - $alreadypaid, 'MT');
+		$remaintopay = price2num($this->total_ttc - $alreadypaid, 'MT');
 		if ($this->status == self::STATUS_CLOSED && $this->close_code == 'discount_vat') {		// If invoice closed with discount for anticipated payment
 			$remaintopay = 0.0;
 		}

########## core/class/html.form.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/core/class/html.form.class.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/core/class/html.form.class.php	2025-02-27 08:48:34.251759000 +0000
@@ -6912,7 +6912,7 @@
 	 *                                              Else, default proposed VAT==0. End of rule.
 	 *  @param	bool		$options_only			Return HTML options lines only (for ajax treatment)
 	 *  @param  int<-1,1>	$mode					0=Use vat rate as key in combo list, 1=Add VAT code after vat rate into key, -1=Use id of vat line as key
-	 *  @param  int<0,2>	$type_vat				0=All types, 1=VAT rate for sales, 2=VAT rate for purchases
+	 *  @param  int<0,2>	$type_vat				0=All type, 1=VAT rate sale, 2=VAT rate purchase
 	 *  @return	string
 	 */
 	public function load_tva($htmlname = 'tauxtva', $selectedrate = '', $societe_vendeuse = null, $societe_acheteuse = null, $idprod = 0, $info_bits = 0, $type = '', $options_only = false, $mode = 0, $type_vat = 0)
@@ -7008,14 +7008,12 @@
 		$num = count($arrayofvatrates);
 
 		if ($num > 0) {
-			// Define the rate to pre-select (if defaulttx not forced so is -1 or '')
+			// Definition du taux a pre-selectionner (si defaulttx non force et donc vaut -1 ou '')
 			if ($defaulttx < 0 || dol_strlen($defaulttx) == 0) {
-				// Define a default thirdparty to use if the seller or buyer is not defined
 				$tmpthirdparty = new Societe($this->db);
-				$tmpthirdparty->country_code = $mysoc->country_code;
 
-				$defaulttx = get_default_tva(is_object($societe_vendeuse) ? $societe_vendeuse : $tmpthirdparty, (is_object($societe_acheteuse) ? $societe_acheteuse : $tmpthirdparty), $idprod);
-				$defaultnpr = get_default_npr(is_object($societe_vendeuse) ? $societe_vendeuse : $tmpthirdparty, (is_object($societe_acheteuse) ? $societe_acheteuse : $tmpthirdparty), $idprod);
+				$defaulttx = get_default_tva($societe_vendeuse, (is_object($societe_acheteuse) ? $societe_acheteuse : $tmpthirdparty), $idprod);
+				$defaultnpr = get_default_npr($societe_vendeuse, (is_object($societe_acheteuse) ? $societe_acheteuse : $tmpthirdparty), $idprod);
 
 				if (preg_match('/\((.*)\)/', $defaulttx, $reg)) {
 					$defaultcode = $reg[1];
@@ -9546,7 +9544,7 @@
 	 *
 	 * @param int 		$id 		Id of object
 	 * @param string 	$type 		Type of category ('member', 'customer', 'supplier', 'product', 'contact'). Old mode (0, 1, 2, ...) is deprecated.
-	 * @param int<0,1>	$rendermode 0=Default, use multiselect (deprecated). 1=Emulate multiselect (recommended)
+	 * @param int<0,1>	$rendermode 0=Default, use multiselect. 1=Emulate multiselect (recommended)
 	 * @param int<0,1> 	$nolink 	1=Do not add html links
 	 * @return string               String with categories
 	 */

########## core/class/html.formfile.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/core/class/html.formfile.class.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/core/class/html.formfile.class.php	2025-02-27 08:48:34.346596000 +0000
@@ -969,7 +969,10 @@
 
 					$out .= '<tr class="oddeven'.((!$genallowed && $i == 1) ? ' trfirstline' : '').'">';
 
-					$documenturl = getDolGlobalString('DOL_URL_ROOT_DOCUMENT_PHP', DOL_URL_ROOT.'/document.php'); // DOL_URL_ROOT_DOCUMENT_PHP can be used to set another wrapper
+					$documenturl = DOL_URL_ROOT.'/document.php';
+					if (isset($conf->global->DOL_URL_ROOT_DOCUMENT_PHP)) {
+						$documenturl = getDolGlobalString('DOL_URL_ROOT_DOCUMENT_PHP'); // To use another wrapper
+					}
 
 					// Show file name with link to download
 					$imgpreview = $this->showPreview($file, $modulepart, $relativepath, 0, $param);

########## core/class/html.formsetup.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/core/class/html.formsetup.class.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/core/class/html.formsetup.class.php	2025-02-27 08:48:34.297178000 +0000
@@ -706,10 +706,10 @@
 	{
 		global $conf;
 		if (isset($conf->global->{$this->confKey})) {
-			$this->fieldValue = getDolGlobalString($this->confKey, null);
+			$this->fieldValue = getDolGlobalString($this->confKey);
 			return true;
 		} else {
-			$this->fieldValue = null;
+			$this->fieldValue = '';
 			return false;
 		}
 	}

########## core/lib/files.lib.php
